<div class="container mt-5">
  <div class="row justify-content-center">
    <div class="col-md-5">
      <form novalidate [formGroup]="userForm">
        <div class="card">
          <div class="card-header">
            Reactive Form
          </div>
          <div class="card-body">
            <div class="form-group" formGroupName="name">
              <label>Name</label>
              <div class="row">
                <div class="col-6">
                  <input type="text" class="form-control" placeholder="First" formControlName="first">
                </div>
                <div class="col-6">
                  <input type="text" class="form-control" placeholder="Last" formControlName="last">
                </div>
              </div>
            </div>
            <div class="form-group">
              <label>Email</label>
              <input type="email" class="form-control" placeholder="you@mail.com" formControlName="email">
            </div>
            <div class="form-group" formGroupName="phone">
              <label>Phone</label>
              <div class="input-group">
                <div class="input-group-prepend">
                  <span class="input-group-text">+60</span>
                </div>
                <input type="number" class="form-control" placeholder="Mobile" formControlName="mobile">
              </div>
            </div>
            <div class="form-group">
              <label>Skills</label>
              <azrin-tagging [value]="skillsArray?.value" (removed)="removeSkill($event)" (addValue)="onAddSkill($event)"></azrin-tagging>
              <p><small>Press enter to add tag</small></p>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div class="col-md-5">
      <div class="bg-light p-3 h-100 rounded">
        <pre class="mb-0">{{ userForm.value | json }}</pre>
      </div>
    </div>
  </div>
  <hr>
  <div class="row mb-5">
    <div class="col-md-12 d-flex justify-content-center">
      <a href="#" class="btn btn-primary btn-sm mt-3 mb-3">Back</a>
    </div>
  </div>
</div>